function mbrealscalar(a)
%MBREALSCALAR Must be real scalar.
%	The statement
%
%	    mbrealscalar(x)
%
%	is equivalent to
%
%	    mbreal(x) & mbscalar(x)
%
%	See also MBINT, MBREAL, MBSCALAR, MBVECTOR.

if any(any(imag(a))),
	error( 'argument to mbrealscalar must be real' );
end
if any( size(a) ~= [1 1] ),
	error( 'argument of mbrealscalar must be scalar' );
end
